#!/bin/sh

name="uconio"
title="UConio"
package="uconio"
version="1.0.9"
build="1"
noarch="n"
build_info="Standard build."

info="Video handling C library."
desc="UConio is a Unix port of the Borland Console
Input/Output Library (CONIO) for DOS, and includes
some new features of its own."
category="development/library"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="doc/*,tutorial/txt/*.txt"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://crazylovetrain.hypermart.net/files/uconio/$title-$version-PR.tar.gz

apply_patch chrs
apply_patch make

parent_package="$package"
write_info main

cd $src1

echo >> src/uconio.c
echo >> include/uconio.h

do_make

copy bin/libuconio.so.0 $pkg_main/usr/lib
copy include/uconio.h $pkg_main/usr/include
ln -s libuconio.so.0 $pkg_main/usr/lib/libuconio.so
bunzip2 man/*.bz2
mkdir -p $pkg_main/usr/man/man3
cp man/*.3 $pkg_main/usr/man/man3
mkdir -p $pkg_main/usr/doc/$name-$version/examples
cp examples/*.c $pkg_main/usr/doc/$name-$version/examples

make_docs

make_package main

clean_up

# $Log: uconio.builder,v $
# Revision 1.2  2003/05/12 21:44:13  swiergot
# - It's obviously version 1.0.9, not 0.0.9.
# - Build 1.
#
# Revision 1.1  2003/05/12 21:40:01  swiergot
# - Initial release.
# - Version 0.0.9.
#
